<?php
include("conexion.php");
$consfolio = $_GET['consfolio'];
$cons4 = "SELECT * FROM salida WHERE idSalida='$consfolio' and estado='Finalizada'";
$res4 = mysql_query($cons4, $conex) or die("No se consulto la existencia");
$existe = mysql_num_rows($res4);
if ($consfolio == '') {
?>
	<script>
		location.href = "main.php?a=47&error=1";
	</script>
<?php
}

if ($existe == '0') {
?>
	<script>
		location.href = "main.php?a=47&error=2";
	</script>
<?php
}

$idClinica = mysql_result($res4, 0, 'idClinica');
$idpaquete = mysql_result($res4, 0, 'idPaquete');
$fecha = mysql_result($res4, 0, 'fechaSalida');
$expediente = mysql_result($res4, 0, 'expedientePaciente');
$nombre = mysql_result($res4, 0, 'nombrePaciente');
$doctor = mysql_result($res4, 0, 'doctor');
$monto = mysql_result($res4, 0, 'montoTotal');
$materia = mysql_result($res4, 0, 'materia');
$idTratamiento = mysql_result($res4, 0, 'idTratamiento');
$observaciones = mysql_result($res4, 0, 'observaciones');

$anioAtras=date("Y")-1;
$anioAnterior=$anioAtras."-".date("m-d");

if ($fecha < $anioAnterior) {
	?>
		<script>
			location.href = "main.php?a=47&error=3";
		</script>
	<?php
	}


if ($idTratamiento == 0) {
	$con2 = "SELECT nompaquete FROM paquetes WHERE idPaquete='$idpaquete'";
	$res2 = mysql_query($con2, $conex) or die("No se realizo con1");
	$concepto = mysql_result($res2, 0, 'nompaquete');
}

if ($idpaquete == 0) {
	$con2 = "SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$idTratamiento'";
	$res2 = mysql_query($con2, $conex) or die("No se realizo con1");
	$concepto = mysql_result($res2, 0, 'tratamientoCompleto');
}

//NOMBRE DE LAS CLINICAS ORIGEN Y DESTINO
$cons6 = "SELECT clinica FROM clinicas WHERE idClinica='$idClinica'";
$res6 = mysql_query($cons6, $conex) or die("No se obtubo el nombre de clinica origen");
$clinica = mysql_result($res6, 0, 'clinica');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title>Clinisys :. Universidad Cuauht&eacute;moc</title>
	<link href="ucaestilos.css" rel="stylesheet" type="text/css" />


	<!--ARCHIVOS PARA LISTA EN TEXTEDIT -->
	<script src="ajax.js" language="javascript"></script>
	<script src="ajax-dynamic-list2.js" type="text/javascript"></script>
	<script>
		function validacanti(id) {
			var restan = document.getElementById('quedan' + id).value;
			var cantidad = document.getElementById('entrega' + id).value;
			//alert("Si jalo"+id);
			if (restan < cantidad) {
				alert("�La cantidad que tiene disponible es " + restan);
				return;
			}
		}
	</script>
	<link href="ajaxestilosautocomplete.css" rel="stylesheet" type="text/css">
	<script src="ajax_ejecutarsalida.js" language="javascript"></script>

	<script type="text/javascript" src="scripts/jquery-1.12.4.min.js"></script>
	<script type="text/javascript" src="scripts/jquery.tablesorter.js"></script>
	<link rel="stylesheet" type="text/css" href="css/tablesorter_style.css" />
	<script>
		$(document).ready(function() {
			$(".tablesorter").tablesorter({
				sortList: [
					[1, 0]
				],
				headers: {
					2: {
						sorter: false
					},
					3: {
						sorter: false
					},
					4: {
						sorter: false
					},
					5: {
						sorter: false
					},
					6: {
						sorter: false
					},
					7: {
						sorter: false
					}
				}
			});

		});
	</script>
</head>

<body>
	<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
		<tr>
			<td style="background-color:#DFDFDF;"><img src="img/top04.jpg" width="800" height="40" /></td>
		</tr>
		<tr>
			<td>
				<table width="790" border="0" align="center">
					<tr>
						<td height="375">
							<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td>
										<div align="center" class="style77">ENTREGA DE MATERIAL</div>
									</td>
								</tr>
							</table>
							<table width="100%" border="0" align="center" cellspacing="0">
								<tr>
									<td width="23%">
										<hr />
									</td>
									<td width="54%" align="center"><span class="style7">No. Control del Ticket # <?php echo $consfolio; ?>
										</span></td>
									<td width="23%">
										<hr />
									</td>
								</tr>
							</table>

							<p align="center">
								<?php
								if (isset($_GET['error'])) {
									$error = $_GET['error'];

									if ($error == 1) {
										echo "<p class='style3'>&iexcl;No se ha seleccionado ningun producto!.</p>";
									}
									if ($error == 2) {
										echo "<p class='style3'>&iexcl;El folio ingresado no existe, intente con otro!.</p>";
									}
								}
								?>
							</p>
							<div align="center" id="proceso"></div>

							<form action="ejecutarsalida3.php" method="post">
								<div id="contenido">
									<?php

									echo "<table align='center' cellpadding='5' class='tablaBordes tablesorter' width='800'>";
									echo "<thead><tr class='tablaCabecera' align='center'>";

									echo "<th>Clave&nbsp;&nbsp;</th>";
									echo "<th>Producto</th>";
									echo "<th>Derecho</th>";
									echo "<th>Unidad</th>";
									echo "<th>Entregado</th>";
									echo "<th>Devuelto</th>";
									echo "<th>Disponible</th>";
									echo "<th>Entregar</th>";

									echo "</tr></thead><tbody>";


									$cons3 = "SELECT idProducto,cantidad,entregado FROM contenido_salida WHERE idSalida='$consfolio'";
									$res3 = mysql_query($cons3, $conex) or die("No se realizo el barrido en la tabla contenido_salida");
									if (mysql_num_rows($res3) == 0) {
										echo "<p align='center'><span class='style10'>El no. de ticket no contiene ningun producto.</span>
		<br><span class='style4' style='color:#666 !important;'>&iquest;Desea generar el listado ahora?</span>";
										echo "<br><input name='generar' type='button' class='botonDefault' value='Cargar lista productos correspondiente' onclick='javascript:cargaproductos()'></p><br><br>";
									}
									while ($cont_salida = mysql_fetch_array($res3)) {
										//corregi idProducto en lugar de clave
										$query = "SELECT clave,nombre,clasificacion FROM productos WHERE clave='$cont_salida[0]'";
										$result = mysql_query($query, $conex) or die("No se consultaron los productos");
										while ($prod = mysql_fetch_array($result)) {


											echo "<tr class='filaSeleccion'>";


											//CONSULTO NOMBRE DE LA PRESENTACION
											$cons1 = "SELECT idPresentacion FROM productos WHERE clave='" . $prod[0] . "'";
											$res1 = mysql_query($cons1, $conex) or die("No consulto ID de presentacion");
											$idpresen = mysql_result($res1, 0, 'idPresentacion');

											$cons2 = "SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
											$res2 = mysql_query($cons2, $conex) or die("No consulto nombre de presentacion");
											$presen = mysql_result($res2, 0, 'presentacion');

											//CLAVE
											echo "<td class='style1' align='center'>" . $prod[0] . "</td>";

											//REVISO SI AL MENOS YA REALIZARON UNA SALIDA DE MATERIAL PARA QUITAR EL SELECT
											$consX = "SELECT * FROM entregas_material WHERE idSalida='$consfolio' and clave='$prod[0]'";
											$resX = mysql_query($consX, $conex) or die("No se realiz� consX");

											//echo mysql_num_rows($resX)." - ";
											if (mysql_num_rows($resX) == 0) {

												$conx1 = "SELECT idCambio FROM cambiosventa WHERE idSalida='$consfolio' and clave1='$prod[0]'";
												$rex1 = mysql_query($conx1, $conex) or die("No se realiz� cons2");
												$existe = mysql_num_rows($rex1);

												if ($existe == 0) {
													//nombreproducto
													$conx3 = "SELECT idCambio FROM cambiosventa WHERE idSalida='$consfolio' and clave2='$prod[0]'";
													$rex3 = mysql_query($conx3, $conex) or die("No se realiz� cons2");
													$existe2 = mysql_num_rows($rex3);

													if ($existe2 == 0) {
														//NOMBRE PRODUCTO
														echo "<td class='style1'>" . utf8_encode($prod[1]) . "</td>";
													} else {
														$idcambio = mysql_result($rex3, 0, 'idCambio');
														echo "<td class='style1'>";
														//***** cambios
														if ($cont_salida[2] == 'No') {
															if ($prod[2] == "Contables variables") 
															{
																$palabra = strtok($prod[1], " ");
																$conx2 = "SELECT clave,nombre FROM productos WHERE nombre like '$palabra%' and clasificacion = 'Contables variables' ORDER BY nombre";
																$rex2 = mysql_query($conx2, $conex) or die("No se pudo consultar los productos");
																echo "<select name='cambio[]' class='cuadrotexto'>";
																//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
																while ($campo = mysql_fetch_assoc($rex2)) 
																{
																	if( $campo['clave']==$prod[0]){$seleccionado1="selected";}else{$seleccionado1="";}
																	echo "<option value=" . $campo['clave'] . " $seleccionado1>" . $campo['nombre'] . "</option>";
																}
																echo "</select>";
																echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
															}
															if ($prod[2] == "Liquidos - polvos") {
																$cons = "SELECT clave,nombre FROM productos WHERE clasificacion='Liquidos - polvos' ORDER BY nombre";
																$res = mysql_query($cons, $conex) or die("No se pudo consultar los productos");
																echo "<select name='cambio[]' class='cuadrotexto'>";
																//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
																while ($campo = mysql_fetch_assoc($res)) {
																	if( $campo['clave']==$prod[0]){$seleccionado2="selected";}else{$seleccionado2="";}
																	echo "<option value=" . $campo['clave'] . " $seleccionado2>" . $campo['nombre'] . "</option>";
																}
																echo "</select>";
																echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
															}
															if ($prod[2] == "Materiales de impresion") {
																$cons = "SELECT clave,nombre FROM productos WHERE clasificacion='Materiales de impresion' ORDER BY nombre";
																$res = mysql_query($cons, $conex) or die("No se pudo consultar los productos");
																echo "<select name='cambio[]' class='cuadrotexto'>";
																//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
																while ($campo = mysql_fetch_assoc($res)) {
																	if( $campo['clave']==$prod[0]){$seleccionado3="selected";}else{$seleccionado3="";}
																	echo "<option value=" . $campo['clave'] . " $seleccionado3>" . $campo['nombre'] . "</option>";
																}
																echo "</select>";
																echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
															}
															if ($prod[2] == "Contables fijos") {
																echo utf8_encode($prod[1]);
															}
															if ($prod[2] == "Incontables") {
																echo utf8_encode($prod[1]);
															}
														} else {
															echo $prod[1];
														}
														//*********** termina cambios
														echo "</td>";
													}
												} else {
													$idcambio = mysql_result($rex1, 0, 'idCambio');
													echo "<td class='style1'>";
													//***** cambios
													if ($cont_salida[2] == 'No') {
														if ($prod[2] == "Contables variables") {
															$palabra = strtok($prod[1], " ");
															$conx2 = "SELECT clave,nombre FROM productos WHERE nombre like '$palabra%' and clasificacion = 'Contables variables' ORDER BY nombre";
															$rex2 = mysql_query($conx2, $conex) or die("No se pudo consultar los productos");
															echo "<select name='cambio[]' class='cuadrotexto'>";
															//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
															while ($campo = mysql_fetch_assoc($rex2)) {
																if( $campo['clave']==$prod[0]){$seleccionadox="selected";}else{$seleccionadox="";}
																echo "<option value=" . $campo['clave'] . " $seleccionadox>" . $campo['nombre'] . "</option>";
															}
															echo "</select>";
															echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
														}
														if ($prod[2] == "Liquidos - polvos") {
															$cons = "SELECT clave,nombre FROM productos WHERE clasificacion='Liquidos - polvos' ORDER BY nombre";
															$res = mysql_query($cons, $conex) or die("No se pudo consultar los productos");
															echo "<select name='cambio[]' class='cuadrotexto'>";
															//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
															while ($campo = mysql_fetch_assoc($res)) {
																if( $campo['clave']==$prod[0]){$seleccionadox="selected";}else{$seleccionadox="";}
																echo "<option value=" . $campo['clave'] . " $seleccionadox>" . $campo['nombre'] . "</option>";
															}
															echo "</select>";
															echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
														}
														if ($prod[2] == "Materiales de impresion") {
															$cons = "SELECT clave,nombre FROM productos WHERE clasificacion='Materiales de impresion' ORDER BY nombre";
															$res = mysql_query($cons, $conex) or die("No se pudo consultar los productos");
															echo "<select name='cambio[]' class='cuadrotexto'>";
															//echo "<option value=" . $prod[0] . " >" . $prod[1] . "</option>";
															while ($campo = mysql_fetch_assoc($res)) {
																if( $campo['clave']==$prod[0]){$seleccionadox="selected";}else{$seleccionadox="";}
																echo "<option value=" . $campo['clave'] . " $seleccionadox>" . $campo['nombre'] . "</option>";
															}
															echo "</select>";
															echo "<input name='idcambio[]' type='hidden' id='idcambio' value='" . $idcambio . "'>";
														}
														if ($prod[2] == "Contables fijos") {
															echo $prod[1];
														}
														if ($prod[2] == "Incontables") {
															echo $prod[1];
														}
													} else {
														echo $prod[1];
													}
													//*********** termina cambios
													echo "</td>";
												} //end else de cambios

											} // END DEL IF consX	
											else {
												//NOMBRE PRODUCTO
												echo "<td class='style1'>" . utf8_encode($prod[1]) . "</td>";
											}

											//CANTIDAD DERECHO A
											$derecho = $cont_salida[1];

											echo "<td class='titulo' bgcolor='#999999'  align='center'>";
											echo $derecho;
											echo "</td>";

											//IMPRIMO PRESENTACION
											echo "<td class='style1'>";
											echo $presen;
											echo "</td>";

											//YA ENTREGADOS
											$entregado = 0;
											$cons20 = "SELECT entregado FROM entregas_material WHERE clave='$prod[0]' and idSalida='$consfolio'";
											$res20 = mysql_query($cons20, $conex) or die("No consulto entregados");
											$filasent = mysql_num_rows($res20);

											if ($filasent == 0) {
												$entregado = 0;
											} else {
												while ($entrega = mysql_fetch_row($res20)) {
													$entregado = $entregado + $entrega[0];
												}
											}

											echo "<td class='style10' align='center'>";
											echo $entregado;
											echo "</td>";

											//DEVUELTOS
											$devoltotal = 0;
											$cons21 = "SELECT cantidad FROM devolucionesmaterial WHERE clave='$prod[0]' and idSalida='$consfolio'";
											$res21 = mysql_query($cons21, $conex) or die("No consulto devueltos");
											$filasdev = mysql_num_rows($res21);

											if ($filasdev == 0) {
												$devoltotal = 0;
											} else {
												while ($devueltos = mysql_fetch_row($res21)) {
													$devoltotal = $devoltotal + $devueltos[0];
												}
											}

											echo "<td class='style10' align='center'>";
											echo $devoltotal;
											echo "</td>";

											//DISPONIBLES

											$quedan1 = $entregado - $devoltotal;
											$quedan = $cont_salida[1] - $quedan1;
											if ($quedan < 0) {
												$quedan = 0;
											}

											//DISPONIBLES
											//$quedan=$cont_salida[1] - $entregado;
											echo "<td class='style10' align='center'>";
											echo $quedan;
											echo "<input name='quedan" . $prod[0] . "' type='hidden' class='cuadrotexto' id='quedan" . $prod[0] . "' size='1' value='$quedan'>";
											echo "</td>";


											//INPUT DE CUANTOS ENTREGAN

											echo "<td class='style10' align='center' valign='center'>";
											//echo "<input name='entrega[]' type='text' class='cuadrotexto' id='entrega[]' size='3' maxlength='4' onKeyPress='if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;' autocomplete='off' style='text-align:right;'>";
											echo "<input name='entrega[]' type='number' class='cuadrotexto' id='entrega[]' min='0' max='$quedan' style='width:40px; text-align:right;'>";
											echo "<input name='prod[]' type='hidden' class='cuadrotexto' id='prod[]' value='$prod[0]'>";
											echo "</td>";
										}

										echo "</tr>";
									}

									echo "</tbody></table>";
									?>
									<input name="folio" type="hidden" id="folio" value="<?php echo $consfolio; ?>" />
								</div>
								<br />
								<p class="style4">Ampliar a
									<select name="cuantos" class="cuadrotexto" id="cuantos" onChange="javascript:masart()">
										<option value="1">1</option>
										<option value="2">2</option>
										<option value="3">3</option>
										<option value="4">4</option>
										<option value="5">5</option>
									</select>

									art&iacute;culos
								</p>
								<div id="masarticulos">
									<table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CEEFFF">
										<tr>
											<td width="126" height="26" valign="middle" class="style4">
												<div align="right">Agregar Producto: </div>
											</td>
											<td width="243" valign="middle"><!--<input name="clave" type="text" class="cuadrotexto" id="clave" value="" size="10">-->
												<input type="text" class="cuadrotexto" id="nombre1" name="nombre1" onKeyUp="ajax_showOptions(this,'getCountriesByLetters',event)" value="" size="40" autocomplete="off" />
												<input name="nombre1_hidden" type="hidden" class="cuadrotexto" id="nombre1_hidden" size="3" />
											</td>
											<td width="139" valign="middle" class="style4">
												<div align="right">Cantidad a entregar: </div>
											</td>
											<td width="251" valign="middle"><span class="style4">
													<input name="cantidad1" type="text" class="cuadrotexto" id="cantidad1" size="5" maxlength="10" onKeyPress="if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;" />
												</span></td>
										</tr>
									</table>
								</div>
								<table align="center">
									<tr>
										<td align='center'>
											<input name='Enviar' type='submit' class='botonDefault' value='Ejecutar salida' style="font-size:18px;" />
										</td>
									</tr>
								</table>
								<br />
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
									<tr>
										<td width="54%" valign="top">
											<table width="420" border="0" cellpadding="0" cellspacing="5">
												<tr>
													<td width="14%">
														<div id="noimprimible">
															<div align="right" class="style4"><strong>Paciente:</strong></div>
														</div>
													</td>
													<td colspan="3" class="style9"><?php echo $nombre; ?></td>
												</tr>
												<tr>
													<td class="style4">
														<div id="noimprimible">
															<div align="right"><strong>Fecha:</strong></div>
														</div>
													</td>
													<td width="46%" class="style9"><?php echo $fecha; ?></td>
													<td width="12%">
														<div id="noimprimible">
															<div align="right" class="style4"><strong>Expediente:</strong></div>
														</div>
													</td>
													<td width="28%" class="style9"><?php echo $expediente; ?></td>
												</tr>
												<tr>
													<td>
														<div id="noimprimible">
															<div align="right" class="style4"><strong>Alumno:</strong></div>
														</div>
													</td>
													<td colspan="3" class="style9"><?php echo utf8_decode(utf8_decode($doctor)); ?></td>
												</tr>
												<tr>
													<td class="style4">
														<div align="right"><strong>Materia:</strong></div>
													</td>
													<td colspan="3" class="style9"><?php echo $materia; ?></td>
												</tr>
												<tr>
													<td class="style4">
														<div align="right"><strong class="style4">Tratamiento:</strong></div>
													</td>
													<td colspan="3" class="style9"><?php echo $concepto; ?></td>
												</tr>
											</table>
										</td>
										<td width="46%" valign="top">
											<table width="100%" border="0" cellspacing="5" cellpadding="0">
												<tr>
													<td class="style4"><strong>Observaciones:</strong></td>
												</tr>
												<tr>
													<td><textarea name="observaciones" cols="60" rows="5" class="cuadrotexto" id="observaciones"><?php echo $observaciones; ?></textarea></td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</form>
							<table width="64" border="0" align="center" cellspacing="10">
								<tr>
									<td valign="top">
										<form id="form1" name="form1" method="post" action="main.php?a=47">
											<input name="Submit2" type="submit" class="botonDefault" value="Volver a Entregas">
										</form>
									</td>


								</tr>

							</table>
						</td>

					</tr>



				</table>





				<table width="100%" border="0">
					<tr>
						<td height="22" bgcolor="#4E5B7B">
							<table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
								<tr>
									<td height="26" style="background-color:#0D3356;">
										<div align="center" id="noimprimible">
											<table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
												<tr>
													<td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
												</tr>
											</table>
										</div>
									</td>
								</tr>

							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</body>

</html>